org.jfree.ui.about

## Class SystemPropertiesTableModel.SystemProperty

- java.lang.Object
- - org.jfree.ui.about.SystemPropertiesTableModel.SystemProperty

Enclosing class:
  SystemPropertiesTableModel

    protected static class SystemPropertiesTableModel.SystemProperty
    extends java.lang.Object

Useful class for holding the name and value of a system property.

### Constructor Summary

Constructors
Constructor and Description
`SystemPropertiesTableModel.SystemProperty(java.lang.String name, java.lang.String value)` Standard constructor - builds a new SystemProperty.

### Method Summary

Methods
`java.lang.String` `getName()` Returns the property name.
`java.lang.String` `getValue()` Returns the property value.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SystemPropertiesTableModel.SystemProperty

    public SystemPropertiesTableModel.SystemProperty(java.lang.String name,
                                             java.lang.String value)

Standard constructor - builds a new SystemProperty.

Parameters:
  `name` - the property name.
  `value` - the property value.

### Method Detail

#### getName

    public java.lang.String getName()

Returns the property name.

Returns:
  the property name.

#### getValue

    public java.lang.String getValue()

Returns the property value.

Returns:
  the property value.